Page MenuHomePhabricator

Special:Notifications does not mirror the read/unread statuses from the echo flyout
Closed, ResolvedPublic

Description

When a user goes to Special:Notifications it is no longer possible to see what items have been visited/clicked through to

Event Timeline

Jaredzimmerman-WMF raised the priority of this task from to Needs Triage.
Jaredzimmerman-WMF updated the task description. (Show Details)
Jaredzimmerman-WMF changed Security from none to None.

It doesn't say what kind of notifications you were testing with (mention, standard talk page (wikitext), Flow, etc.).

However, I tested with Flow locally, and while there is a difference, it's very subtle (basically, it colors the whole notification, and bolds the main part, whereas otherwise only part of the main part is bold). Compare "Hey admin" and "Logged in test" (the "Flow talk page manager" one is unrelated, and not currently applicable to user talk on production).

If this is what you're referring to, I agree the UX distinction may be too subtle. If it's something else, let us know too.

I don't see any concept of read/unread on the all notification page, perhaps I'm missing something?

I don't see any concept of read/unread on the all notification page, perhaps I'm missing something?

See what Matt wrote above:

In T78363#968920, @Mattflaschen wrote:

However, I tested with Flow locally, and while there is a difference, it's very subtle (basically, it colors the whole notification, and bolds the main part, whereas otherwise only part of the main part is bold). Compare "Hey admin" and "Logged in test" (the "Flow talk page manager" one is unrelated, and not currently applicable to user talk on production).
If this is what you're referring to, I agree the UX distinction may be too subtle. If it's something else, let us know too.

I'd recommend something that is visually similar for the flyout and the all
notification page (facebook does this) perhaps something Pau and think
about in a future sprint. The current color change is inconsistant and
perhaps too subtle to convey what's going on properly.

*Jared Zimmerman * \\ Director of User Experience \\ Wikimedia Foundation

M +1 415 609 4043 \\ @Jaredzimmerman http://loo.ms/g0

Mattflaschen-WMF triaged this task as High priority.Jan 14 2015, 7:08 PM
He7d3r added a subscriber: He7d3r.May 24 2015, 6:04 PM
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptMay 24 2015, 6:04 PM
Legoktm moved this task from Backlog to Needs plan on the Notifications board.
Legoktm added a subscriber: Pginer-WMF.
DannyH removed DannyH as the assignee of this task.Oct 29 2015, 10:39 PM
DannyH removed a subscriber: DannyH.
Etonkovidova added a subscriber: Etonkovidova.EditedJun 8 2016, 12:29 AM

Presently the notification flyout and Special:Notificaitons page display messages status in the same way - the same background color:

Only two suggestions might be added

  • instantaneous update on both Special:Notifications and the flyout when the status of messages is changed.
  • cross-wiki notifications are not displayed on Special:Notifications page - will be addressed in other tasks.
Catrope closed this task as Resolved.Jun 9 2016, 9:29 AM
Catrope claimed this task.